View Issue Details

IDProjectCategoryView StatusLast Update
0000108After The Collapse[All Projects] Gameplaypublic2018-12-21 04:06
ReporterEsKaAssigned ToEsKa 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
PlatformPC OSWindows 10OS VersionLatest (EsKa)
Product Version 
Target Version0.5 - Early AccessFixed in Version0.5 - Early Access 
Summary0000108: Pacifist trait overhaul
DescriptionToo many people are complaining about the pacifist trait and it confuses them as to how to handle military stuff (the rimworld paradox)

1) Allow pacifists to fight, just toggle off military job by default
2) Give bad feels to pacifists for being drafted into military
3) Add dove icon on civilians/pacifists, add swords icon on soldiers during alert mode

- We'll need to alter and add a few things to the trait system for that.
TagsNo tags attached.

Activities

EsKa

2018-12-21 04:06

administrator   ~0000085

removed until proper systems are in place

Issue History

Date Modified Username Field Change
2018-10-20 13:41 EsKa New Issue
2018-10-20 13:41 EsKa Status new => assigned
2018-10-20 13:41 EsKa Assigned To => EsKa
2018-10-20 13:41 EsKa Description Updated View Revisions
2018-10-27 19:05 EsKa Target Version 0.4.5 - Modding Update => 0.5 - Early Access
2018-12-21 04:06 EsKa Status assigned => closed
2018-12-21 04:06 EsKa Resolution open => fixed
2018-12-21 04:06 EsKa Fixed in Version => 0.5 - Early Access
2018-12-21 04:06 EsKa Note Added: 0000085